;; By. HyeonT
(defun C:ror ()
(setvar “cmdecho” 1)
(setq ch (car(entsel “n 전개할 원형을 선택 “)))
(princ)
(setq r (cdr (assoc 40 (entget ch))))
(setq r2 (* 2 r))
(setq pr (* r2 pi))
(setq p1 (getpoint “n 전개도를 그릴 위치를 지정 “))
(princ)
(setq hi (getint “n 높이를 적어주세요 : “))
(command “rectang” p1 “d” pr hi p1)
(setq t1 (rtos r2 2 0))
(command “text” p1 “” t1)
(command “chprop” (entlast) “” “c” 2 “”)
(command “scale” (entlast) “” p1 “2”)
(command “move” (entlast) “” p1 “@30,30”)
(princ)
)
직접 만들어본 리습입니다.
그리는건 문제 없는데 마지막 (command “move” (entlast) “” p1 “@30,30”)
이게 적용이 안되서요 수정 부탁드립니다!
추가로 text 중에 %%C 와 t1를 같이 넣을 수 있을까요 ?
그리는건이 아니라 그리는것만… ^^;;
(setq t1 (strcat “%%c”(rtos r2 2 0)))
테스트 환경 자동책상 2013 입니다 딱히 버전 영향 받을 구문도 아니라 저도 모르겠습니다.
그래도 도와주셔서 감사합니다!